Rygel.Thumbnail – librygel-server Reference Manual

# Thumbnail

## Object Hierarchy:

## Description:

public class Thumbnail : IconInfo

Represents a picture or video thumbnail.

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public Thumbnail (string mime_type = "image/jpeg", string dlna_profile = "JPEG_TN", string file_extension = "jpg")

### Fields:

- public string dlna_profile

### Inherited Members:

All known members inherited from class Rygel.IconInfo

- depth
- file_extension
- height

- mime_type
- size

- uri
- width